class ActionInsertGuidepostToTrail < Action # igtot

  # nastaví proměnné podle catid (kde jsou zakódovány) + dělá sanity checky
  def setvars
    _,guidepost_id,trail_id = catid.split('|') # dekóduj parametry
    @guidepost = Guidepost.find(guidepost_id)
    @trail = Trail.find(trail_id)
    raise "Rozcestník g:#{guidepost_id} nebyl nalezen!" if @guidepost.nil?
    raise "Trasa ot:#{trail_id} nebyla nalezena!" if @trail.nil?

    @kctref = @guidepost.kctref
    @short_action_name = "Vložit rozcestník na trasu"
    @attrs = {
      action: linkify("Vlož rozcestník rg:#{@guidepost.kctref} na trasu rt:#{@trail.kctref}"),
      followup_url: guidepost_path(@guidepost)
    }
  end

  def perform
    return !Sign.create_from_or_update(:guidepost=> @guidepost, :trail=>@trail ).nil?
  end
end



# Insert guidepost to trail 